Skip to navigation

Update

Updates a house air waybill, all but its number; one already sent is replaced at the airline only when it is sent again. | authz_personas=[task_group_coordinator_operators] | (CargoOnFlightHouseAirWaybillClientUpdate1) -> (CargoOnFlightHouseAirWaybill1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

cargo_on_flight_house_air_waybill_idstringRequired

Request

This endpoint expects an object.
charges_declarationobject or nullOptional
Currency, payment, and declared values, for the master or a house air waybill.
charges_declaration__set_to_NonebooleanOptionalDefaults to false
destination_iatastring or nullOptionalformat: "^[A-Z]{3}$"
gross_weight_kilogramsdouble or nullOptional
manifest_description_of_goodsstring or nullOptional1-15 characters
number_of_piecesinteger or nullOptional1-9999
origin_iatastring or nullOptionalformat: "^[A-Z]{3}$"
slacinteger or nullOptional1-99999
slac__set_to_NonebooleanOptionalDefaults to false

Response

Successful Response
_idstring
cargo_on_flight_air_waybill_idstring
cargo_on_flight_booking_idstring
created_at_timestampdatetime
created_by_org_idstring

Must be a string starting with org_

destination_iatastring
gross_weight_kilogramsdouble
house_air_waybill_numberstring
manifest_description_of_goodsstring
number_of_piecesinteger
origin_iatastring
schema_versioninteger
task_group_idstring
updated_at_timestampdatetime
charges_declarationobject or nullOptional
Currency, payment, and declared values, for the master or a house air waybill.
created_by_user_idstring or nullOptional

Must be a string starting with user_

latest_fhl_messageobject or nullOptional
The latest send of the house in an FHL, and the airline's answer to it.
slacinteger or nullOptional

Errors

422
Cargo on Flight House Air Waybills Update V1request Unprocessable Entity Error